%global major   1
%define libname %mklibname blkio %major
%define devname %mklibname blkio -d

Name:          libblkio
Summary:       Block device I/O library
Version:       1.5.0
Release:       %mkrel 2
Group:         System/Libraries
License:       (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND BSD-3-Clause
URL:           https://gitlab.com/libblkio/libblkio
Source0:       https://gitlab.com/libblkio/libblkio/-/archive/v%{version}/libblkio-v%{version}.tar.bz2

# Basic build requirements.
BuildRequires: gcc, gcc-c++
BuildRequires: make
BuildRequires: meson
BuildRequires: python3-docutils
BuildRequires: pkgconf

BuildRequires: cargo-rpm-macros >= 24
BuildRequires: rust-bitflags1-devel
BuildRequires: rust-rustix0.37-devel

%description
libblkio is a library for high-performance block device I/O with
support for multi-queue devices. A C API is provided so that
applications can use the library from most programming languages.


%package -n %libname
Summary:       Block device I/O library
Group:         System/Libraries
Provides:      libblkio%{?_isa} = %{version}-%{release}
Provides:      libblkio = %{version}-%{release}
Obsoletes:     %{_lib}blkio0 < 1.3.0-4

%description -n %libname
libblkio is a library for high-performance block device I/O with
support for multi-queue devices. A C API is provided so that
applications can use the library from most programming languages.

%package -n %devname
Group:         Development/C
Summary:       Development tools for %{name}
Requires:      libblkio%{?_isa} = %{version}-%{release}
Provides:      blkio-devel%{?_isa} = %{version}-%{release}
Provides:      blkio-devel = %{version}-%{release}

%description -n %devname
This package contains development tools for %{name}.


%prep
%autosetup -n %{name}-v%{version} -p1
%cargo_prep

sed -e 's/--locked//' -i src/cargo-build.sh

%generate_buildrequires
%cargo_generate_buildrequires

%build
%meson -Ddebug=true -Doptimization=%{rustflags_opt_level}
%meson_build


%install
%meson_install


%files -n %libname
%license LICENSE-APACHE LICENSE-MIT LICENSE.crosvm
%doc README.rst
%{_libdir}/libblkio.so.%{major}{,.*}


%files -n %devname
%license LICENSE-APACHE LICENSE-MIT LICENSE.crosvm
%doc README.rst
%{_includedir}/blkio.h
%{_libdir}/libblkio.so
%{_libdir}/pkgconfig/blkio.pc
%{_mandir}/man3/blkio.3*




%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.5.0-2.mga10
+ Revision: 2233401
- Mageia 10 Mass Rebuild

* Wed Jan 01 2025 wally <wally> 1.5.0-1.mga10
+ Revision: 2134445
- new version 1.5.0

* Sun Feb 11 2024 daviddavid <daviddavid> 1.3.0-4.mga10
+ Revision: 2040191
- fix dependencies and library pkg name

* Mon Dec 11 2023 tv <tv> 1.3.0-3.mga10
+ Revision: 2017249
- Explicitely BR rust-rustix0.37-devel
- Explicitely BR rust-bitflags1-devel
- imported package libblkio


* Mon Oct 02 2023 Alberto Faria <afaria@redhat.com> - 1.3.0-3
- Update overall license

* Mon Aug 14 2023 Richard W.M. Jones <rjones@redhat.com> - 1.3.0-2
- Remove const-cstr dependency (RHBZ#2214208)

* Thu Jul 20 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 19 2023 Stefan Hajnoczi <stefanha@redhat.com> - 1.2.2-5
- Patch Cargo.toml files to enable nix "ioctl" feature (RHBZ#2186159)

* Thu Mar 09 2023 Stefan Hajnoczi <stefanha@redhat.com> - 1.2.2-4
- Update overall license to include crate dependency licenses

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.2.2-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Richard W.M. Jones <rjones@redhat.com> - 1.2.2-1
- Initial package
